Package org.eclipse.jdt.ui.jarpackager

## Interface IJarBuilderExtension

    public interface IJarBuilderExtension

Extends `IJarBuilder` with the following functions:

- Write a file to the JAR to build

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeFile​(File file, IPath destinationPath)` Add the given file to the archive at the given path

### Method Detail

#### writeFile

    void writeFile​(File file,
                   IPath destinationPath)
            throws CoreException

Add the given file to the archive at the given path

Parameters:
  `file` - the file to be written. It is guaranteed, that the file is not a directory.
  `destinationPath` - the path for the file inside the archive
Throws:
  `CoreException` - thrown when the file could not be written